Package pyplusplus :: Package messages :: Module warnings_ :: Class message_type

# type message_type

source code

    object --+
             |
    basestring --+
                 |
               str --+
                     |
                    message_type

Known Subclasses:
  - code_generation_error
  - , compilation_error
  - , execution_error
  - , warning

implementation details

Instance Methods

__init__(self, value, identifier=None) | source code

__mod__(self, values) x%y | source code

Inherited from `str`: `__add__`, `__contains__`, `__eq__`, `__ge__`, `__getattribute__`, `__getitem__`, `__getnewargs__`, `__getslice__`, `__gt__`, `__hash__`, `__le__`, `__len__`, `__lt__`, `__mul__`, `__ne__`, `__repr__`, `__rmod__`, `__rmul__`, `__str__`, `capitalize`, `center`, `count`, `decode`, `encode`, `endswith`, `expandtabs`, `find`, `index`, `isalnum`, `isalpha`, `isdigit`, `islower`, `isspace`, `istitle`, `isupper`, `join`, `ljust`, `lower`, `lstrip`, `partition`, `replace`, `rfind`, `rindex`, `rjust`, `rpartition`, `rsplit`, `rstrip`, `split`, `splitlines`, `startswith`, `strip`, `swapcase`, `title`, `translate`, `upper`, `zfill`

Static Methods

a new object with type S, a subtype of T

__new__(self, value, identifier=None) | source code

Properties
| identifier

Method Details

### __new__(self, value, identifier=None)
Static Method

source code

Returns: a new object with type S, a subtype of T
Overrides: basestring.__new__
  (inherited documentation)

### __init__(self, value, identifier=None)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

### __mod__(self, values)

source code

x%y

Overrides: str.__mod__
  (inherited documentation)

Property Details

### identifier